> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get native transactions for address

> Lists native transactions for an address. Filterable by block range.



## OpenAPI

````yaml get /somnia/v1/address/{walletAddress}/transactions/native
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/address/{walletAddress}/transactions/native:
    get:
      tags:
        - Transactions
      summary: Get native transactions for address
      description: Lists native transactions for an address. Filterable by block range.
      operationId: GetNativeTransactionsForAddress
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: >-
            The block height to start from, inclusive. Defaults to genesis
            block.
          in: query
          name: start-block
          required: false
          schema:
            format: int64
            type: integer
        - description: The block height to end at, inclusive. Defaults to latest block.
          in: query
          name: end-block
          required: false
          schema:
            format: int64
            type: integer
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NativeTransactionsWithPagination'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    NativeTransactionsWithPagination:
      properties:
        cursor:
          nullable: true
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/NativeTransaction'
          type: array
      required:
        - transactions
      type: object
    NativeTransaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - transaction_type
      type: object

````